=== examples/CMakeLists.txt ===
ecm_optional_add_subdirectory(codeeditor)
ecm_optional_add_subdirectory(codepdfprinter)
ecm_optional_add_subdirectory(minimaltest)
