=== debian/changelog ===
ksyntax-highlighting (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

ksyntax-highlighting (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

ksyntax-highlighting (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

ksyntax-highlighting (5.77.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5syntaxhighlighting-dev: Add Multi-Arch: same.

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:57 +0900

ksyntax-highlighting (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass a native qt to the build. (Closes: #951750)

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:54 +0200

ksyntax-highlighting (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update libkf5syntaxhighlighting-tools.install.
  * Update symbols from build for 5.74.0 no ABI bump needed (only tempinst and
    private symbols got removed).
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update copyright for 5.74.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:36 +0200
