=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: ksyntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
                libqt5sql5-sqlite,
-               libqt5xmlpatterns5-dev (>= 5.12.0~),
+               libqt5xmlpatterns5-dev (>= 5.14.0~),
                perl,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev:native (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
+               qttools5-dev:native
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/syntax-highlighting
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting.git
 Rules-Requires-Root: no
 
 Package: libkf5syntaxhighlighting-data
@@ -38,10 +41,11 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
-         libqt5xmlpatterns5-dev (>= 5.12.0~),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         libqt5xmlpatterns5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
+Multi-Arch: same
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
