## ksyntax-highlighting 5.80.0

=== debian/changelog ===
ksyntax-highlighting (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:23 +0000

ksyntax-highlighting (5.79.1-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release (5.79.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:15:11 +0000

ksyntax-highlighting (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:37 +0000

ksyntax-highlighting (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Symbols update on armhf.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 22:50:35 +0000

ksyntax-highlighting (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:59:55 +0000
