## ksyntax-highlighting 5.90.0

=== debian/changelog ===
ksyntax-highlighting (5.90.0-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.62.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 25 Feb 2020 04:12:28 +0000]
  * Add symbols file hack for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 04 Mar 2022 14:38:24 +0000

ksyntax-highlighting (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5xmlpatterns5-dev dependency from
    libkf5syntaxhighlighting-dev, as no devel bits require the former.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update symbols files from the logs of buildds.
  * Annotate the perl build dependency as :any, as it is used during build
    to run scripts (and thus any runnable perl will work fine).

 -- Pino Toscano <pino@debian.org>  Sat, 26 Feb 2022 10:24:26 +0100

ksyntax-highlighting (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

ksyntax-highlighting (5.88.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

ksyntax-highlighting (5.88.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.
  * Add qt5declarative-dev and build/add QML module package.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Nov 2021 09:17:12 +0900

ksyntax-highlighting (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:06:18 +0900

ksyntax-highlighting (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:50 +0900

ksyntax-highlighting (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:08:07 +0900

ksyntax-highlighting (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

ksyntax-highlighting (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:33:21 +0900

ksyntax-highlighting (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:27:09 +0900

ksyntax-highlighting (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:22 +0900

ksyntax-highlighting (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:37 +0900

ksyntax-highlighting (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:31 +0900
